# Nemo modelfactors

Script used to get important metrics from NEMO

# Installation and requeriments

This script requires the following BSCTOOLS to be installed, loaded and available through the PATH environment variable.
 
* *Extrae (4.0.0 or above)* available at https://ftp.tools.bsc.es/extrae
* *Paraver* available at https://tools.bsc.es/paraver
* *Dimemas* available at https://tools.bsc.es/dimemas
* *Basicanalysis* available at https://ftp.tools.bsc.es/basicanalysis/


Also the different modules needed to compile and execute NEMO should be loaded before the script execution.

* Perl interpreter
* Fortran compiler (ifort, gfortran, pgfortran, ftn, …),
* Message Passing Interface (MPI) implementation (e.g. OpenMPI or MPICH).
* Network Common Data Form (NetCDF) library with its underlying Hierarchical Data Form (HDF)


# Usage

* Copy all the content of this folder into the folder used to run NEMO, the one that contains the data the namelists and the executable.
* Edit the file config.yaml adding the information required.
* Execute script.sh 

```
./script.sh
```
